Update Tree

This post allows only one tree to be updated at a time. You can modify the startingPersonId, hidden, private, name, description, ownerAccess and groupAccess fields using this POST operation. Passing an empty string for an attribute will remove the value for that attribute. Hidden and private should only be changed to false once your tree has all details such as starting person id, etc...

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The id of the user tree to update. To find user tree IDs, see Read User's Groups, or Create Tree to create a new user tree.

Body Params

The user tree to be updated.

trees
array of objects
required
length between 1 and 1

Array containing the user tree to update. See Tree Schema (JSON)

trees*
string

The person ID to set as the starting person for the user tree. Can be a person from the main FamilySearch tree or from a user tree. To find an example person ID, see Search Tree Persons.

boolean

Whether the user tree is hidden. True is default until tree has all data needed.

boolean

Whether the user tree is private. True is default until tree has all data needed.

string

The name of the user tree

string

A description of the user tree

string
enum

Third-party access level for the tree owner. Pass an empty string to remove the value.

Allowed:
string
enum

Third-party access level for the tree group. Pass an empty string to remove the value.

Allowed:
string
enum

Third-party access level for all users. Pass an empty string to remove the value.

Allowed:
Responses
204

The user tree has been successfully updated.

404

The requested user tree does not exist.

410

The requested user tree has been deleted.

429

The request was throttled.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!